airspyhf_rx(1)

NAME
airspyhf_rx - probe device and show configuration

DESCRIPTION
The AirspyHF is a tiny and efficient software defined radio receiver.

This application lets the user probe the device and show configuration.

SYNOPSIS
airspy_rx

OPTIONS
Usage:

-r <filename>
    Receive data into the file; stdout emits values on standard output

-s <serial number>
    Open device with specified 64bits serial number

-f <frequency>
    Set frequency in MHz between 9 kHz - 31 MHz or 60 - 260 MHz

-a <sample_rate>
    Set sample rate, at the moment only 768 kS/s supported

-n <#samples>
    Number of samples to transfer (default is unlimited)

-d  Verbose mode

-w  Receive data into file with WAV header and automatic name This is for SDR# compatibility and may not work with other software It works even with HDSDR

-g on|off
    HF AGC on / off

-l high|low
    HF AGC threshold high / low (when AGC On)

-t <value>
    HF attenuator value 0..8 (each step increases 6 dB the attenuation)

-m on|off
    on to activate LNA (preamplifier): +6 dB gain - compensated in digital.

-z  Do not attempt to use manual AGC/LNA commands (useful in order to avoid errors with old firmware)

SEE ALSO
AirspyHF web page: https://airspy.com/airspy-hf-plus

Other airspyhf programs:

airspyhf_rx(1), airspyhf_gpio(1), airspyhf_lib_version(1), airspyhf_rx(1)

AUTHOR
This manual page was written by Maitland Bottoms for the Debian project (but may be used by others).

COPYRIGHT
Copyright (c) 2020 A. Maitland Bottoms <bottoms@debian.org>

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.